Products
Commerce Resources · 5 endpoints
GET
/v1/productsList Products
app_install_bearerscope: products:read
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
limitquery | integer | optional | |
starting_afterquery | string | optional | |
ending_beforequery | string | optional |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | ProductListResponse | required | |
data.has_more | boolean | required | |
data.items | ProductObject[] | required | |
data.items[].brand_id | string | optional | |
data.items[].brand_name | string | optional | |
data.items[].category_id | string | optional | |
data.items[].category_name | string | optional | |
data.items[].compare_at_price | string | optional | |
data.items[].continue_selling_when_out_of_stock | boolean | optional | |
data.items[].created_at | string | optional | |
data.items[].description | string | optional | |
data.items[].description_html | string | optional | |
data.items[].google_product_category_id | string | optional | |
data.items[].id | string | required | |
data.items[].image_alt_text | string | optional | |
data.items[].image_url | string | optional | |
data.items[].is_active | boolean | required | Derived compatibility field. True exactly when status is active. |
data.items[].low_stock_threshold | integer | optional | |
data.items[].media_id | string | optional | |
data.items[].name | string | required | |
data.items[].object | string | optional | product |
data.items[].price | string | optional | |
data.items[].publishing_channels | ProductPublishingChannels | required | |
data.items[].requires_shipping | boolean | optional | |
data.items[].short_description | string | optional | |
data.items[].sku | string | optional | |
data.items[].slug | string | optional | |
data.items[].sort_order | integer | optional | |
data.items[].standard_category_code | string | optional | |
data.items[].standard_category_id | string | optional | |
data.items[].standard_category_name | string | optional | |
data.items[].status | ProductLifecycleStatus | required | Canonical product lifecycle status. Responses never emit the deprecated published alias. |
data.items[].stock_quantity | integer | optional | |
data.items[].tax_code | string | optional | |
data.items[].taxable | boolean | optional | |
data.items[].track_inventory | boolean | optional | |
data.items[].type | string | optional | |
data.items[].updated_at | string | optional | |
data.items[].weight | string | optional | |
data.items[].weight_unit | string | optional | |
data.next_cursor | string | optional | |
data.object | string | optional | list |
data.url | string | optional | |
success | boolean | required | true |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/products \
-H "Authorization: Bearer $GETME_API_KEY"POST
/v1/productsCreate Product
app_install_bearerscope: products:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Request body · application/json
| Field | Type | Required | Description |
|---|---|---|---|
brand_id | string | optional | |
category_id | string | optional | |
compare_at_price | number | string | optional | |
continue_selling_when_out_of_stock | boolean | optional | |
description |
GET
/v1/products/{product_id}Get Product
app_install_bearerscope: products:read
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
product_idpath | string | required | Product public identifier in prod_<21 Base62> format. |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | ProductObject | required | |
data.brand_id | string | optional | |
data.brand_name | string | optional | |
data.category_id | string | optional | |
data.category_name | string | optional |
PATCH
/v1/products/{product_id}Update Product
app_install_bearerscope: products:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
product_idpath | string | required | Product public identifier in prod_<21 Base62> format. |
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Request body · application/json
| Field | Type | Required | Description |
|---|---|---|---|
brand_id | string | optional | |
category_id | string | optional | |
compare_at_price | number | string | optional |
POST
/v1/products/{product_id}/archiveArchive Product
app_install_bearerscope: products:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
product_idpath | string | required | Product public identifier in prod_<21 Base62> format. |
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | ProductObject | required | |
data.brand_id | string | optional | |
data.brand_name | string | optional |